A standard input field.

This is used to build HTML code by using objects.

package | metaHTML

### Methods

## Constructor

    __construct(String $fieldName, String $fieldValue, String $fieldSize)

### Parameters

#### $fieldName

`String`

unique field name

#### $fieldValue

`String`

value of input field (optional)

#### $fieldSize

`String`

maximum input length

## Enables autocompletion for this input field.

    enableAutocompletion(array $values, int $minLength, boolean $multiValue, $multiSeparatorExp, String | String $multiSeparator)

### Parameters

#### $values

`array`

list of values to suggest

#### $minLength

`int`

autocompletion starts after this number of caracters entered (default 1; 0 means immediate start)

#### $multiValue

`boolean`

allow multiple autocompletion values in the same fields (default: false)

#### $multiSeparatorExp

#### $multiSeparator

`String` `String`

separator expression if multiple autocompletion values are allowed (default ",\s*")

## Prints the HTML code for this element.

    generateHTML(string $module, array $input, array $values, boolean $restricted, integer $tabindex, string $scope) : array

### Parameters

#### $module

`string`

Name of account module

#### $input

`array`

List of meta-HTML elements

#### $values

`array`

List of values which override the defaults in $input (name => value)

#### $restricted

`boolean`

If true then no buttons will be displayed

#### $tabindex

`integer`

Start value of tabulator index for input fields

#### $scope

`string`

Account type

### Returns

`array`List of input field names and their type (name => type)

## Returns the HTML attributes for the alignment.

    getAlignmentString() : String

Inherited

inherited_from | \htmlElement::getAlignmentString()

### Returns

`String`alignment HTML attributes (e.g. align="right" valign="top")

## Returns the HTML attribute for the colspan.

    getColspanString() : String

Inherited

inherited_from | \htmlElement::getColspanString()

### Returns

`String`colspan HTML attribute (e.g. colspan=3)

## Returns the HTML attribute for the rowspan.

    getRowspanString() : String

Inherited

inherited_from | \htmlElement::getRowspanString()

### Returns

`String`rowspan HTML attribute (e.g. rowspan=3)

## Returns the CSS classes of the surrounding table cell for this element.

    getTableCellCSSClasses() : array

Inherited

inherited_from | \htmlElement::getTableCellCSSClasses()

### Returns

`array`CSS classes

## Adds CSS classes to this element.

    setCSSClasses(array $classes)

Inherited

inherited_from | \htmlElement::setCSSClasses()

### Parameters

#### $classes

`array`

CSS class names

## Sets the maximum field length.

    setFieldMaxLength(int $fieldMaxLength)

### Parameters

#### $fieldMaxLength

`int`

length

## Sets the field size.

    setFieldSize(int $fieldSize)

### Parameters

#### $fieldSize

`int`

size

## Specifies if this component is enabled and accepts user modification.

    setIsEnabled(boolean $isEnabled)

### Parameters

#### $isEnabled

`boolean`

enabled if true

## Specifies if this is a password field.

    setIsPassword(boolean $isPassword)

### Parameters

#### $isPassword

`boolean`

password field

## Specifies if the value should be saved in obfuscated form (e.g.

    setObfuscate(boolean $obfuscate)

self service profile).

### Parameters

#### $obfuscate

`boolean`

obfuscate value

## Sets the JavaScript for the onKeyPress event.

    setOnKeyPress(String $onKeyPress)

### Parameters

#### $onKeyPress

`String`

JavaScript code

## Specifies if the input field is required.

    setRequired(boolean $required)

### Parameters

#### $required

`boolean`

required

## Adds CSS classes to the surrounding table cell for this element.

    setTableCellCSSClasses(array $classes)

Inherited

inherited_from | \htmlElement::setTableCellCSSClasses()

### Parameters

#### $classes

`array`

CSS class names

## Specifies that the value should not be automatically saved when used in self service or server profile (default: false).

    setTransient(boolean $transient)

### Parameters

#### $transient

`boolean`

transient field

## Specifies the validation rule (e.g.

    setValidationRule(boolean $rule)

htmlElement::VALIDATE_NUMERIC) for this field. This rule is checked on client side when the input field looses focus.

### Parameters

#### $rule

`boolean`

rule name

## Shows a calendar when the field is selected.

    showCalendar(String $format)

### Parameters

#### $format

`String`

calendar format (e.g. yyyy-mm-dd)

### Properties

## alignment when inside a table

    $alignment

Inherited

inherited_from | \htmlElement::$$alignment

## colspan if inside a table

    $colspan

Inherited

inherited_from | \htmlElement::$$colspan

## rowspan if inside a table

    $rowspan

Inherited

inherited_from | \htmlElement::$$rowspan

## enable autocomplete

    $autocomplete

## autocomplete start at this input length

    $autocompleteMinLength

## multiple values in one field

    $autocompleteMultiValue

## separator for multiple values in one field

    $autocompleteMultiValueSeparator

## separator expression for multiple values in one field

    $autocompleteMultiValueSeparatorExp

## autocompletion suggestions

    $autocompleteValues

## calendar format

    $calendarFormat

## CSS classes

    $cssClasses

Inherited

inherited_from | \htmlElement::$$cssClasses

## field max length (default 255)

    $fieldMaxLength

## unique field name

    $fieldName

## field size (default 30)

    $fieldSize

## field value

    $fieldValue

## enabled or disabled

    $isEnabled

## password field

    $isPassword

## indicates that the value should be saved in obfuscated form

    $obfuscate

## on keypress event

    $onKeyPress

## required field

    $required

## show calendar

    $showCalendar

## table cell CSS classes

    $tableCellCssClasses

Inherited

inherited_from | \htmlElement::$$tableCellCssClasses

## indicates that this field should not automatically be saved in the self service or server profile

    $transient

## validation rule

    $validationRule

### Constants

## align to bottom

    ALIGN_BOTTOM

Inherited

inherited_from | \htmlElement::ALIGN_BOTTOM

## align to center

    ALIGN_CENTER

Inherited

inherited_from | \htmlElement::ALIGN_CENTER

## align to left

    ALIGN_LEFT

Inherited

inherited_from | \htmlElement::ALIGN_LEFT

## align to right

    ALIGN_RIGHT

Inherited

inherited_from | \htmlElement::ALIGN_RIGHT

## align to top

    ALIGN_TOP

Inherited

inherited_from | \htmlElement::ALIGN_TOP

## validation rule to allow only numbers ([0-9]+)

    VALIDATE_NUMERIC

Inherited

inherited_from | \htmlElement::VALIDATE_NUMERIC